
Auto Multiple Choice - Bug # 501: Sending annotated papers to students with msmtp
Updated: 10/23/2017 Due date:
Description: When trying to send the annotated papers to students with msmtp, I get no error in the UI, only the message 

"0 message(s) has been sent." Sending a plain text message with msmtp on the command line works. I'm on 
Netrunner Linux, which is based on Debian Stretch. Sending the reports on another machine (Ubuntu 17.04), 
using the same project files, works. The only suspicious message in the log file is "Wide character in 
subroutine entry at /usr/share/perl5/Email/MIME/Encodings.pm line 55." mailing.log only says "Starting 
mailing...". Debug log attached

History
10/21/2017 01:58 pm - Alexis Bienvenüe
- Status changed from New to Feedback

I'm afraid I can't reproduce the bug. I tried to install netrunner 17.06 (french), with auto-multiple-choice and msmtp packages. I configured msmtp and 
tried to send some emails with AMC — all went right.
Can you see anything special in your situation, in your settings, that could help me to reproduce the problem?

10/21/2017 04:14 pm - Heiko Hornung
Alexis Bienvenüe wrote:
> Can you see anything special in your situation, in your settings, that could help me to reproduce the problem?

Unfortunately not. I've tried to compare my netrunner installation with the ubuntu installation of a friend, and found nothing that stands out. I was already 
expecting this, and opened the bug more for others that might be in the same situation. Thanks for trying. As a workaround, I wrote a small script that 
sends the feedback to my students.

10/23/2017 09:40 am - Alexis Bienvenüe
Which netrunner version are you using? In what language did you install it?

10/23/2017 02:19 pm - Heiko Hornung
I found the problem: due to a Unicode issue with another perl script I had this in my .zshenv:

export PERL_UNICODE=SDA

When not setting this environment variable everything works fine, all emails are sent.

To answer your question, I'm running Netrunner 17.01 with stretch-backports, installed in English, and with this locale settings:

LANG=en_US.UTF-8
LANGUAGE=
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC=pt_BR.UTF-8
LC_TIME=pt_BR.UTF-8
LC_COLLATE="en_US.UTF-8"
LC_MONETARY=pt_BR.UTF-8
LC_MESSAGES="en_US.UTF-8"
LC_PAPER=pt_BR.UTF-8
LC_NAME=pt_BR.UTF-8
LC_ADDRESS=pt_BR.UTF-8
LC_TELEPHONE=pt_BR.UTF-8
LC_MEASUREMENT=pt_BR.UTF-8
LC_IDENTIFICATION=pt_BR.UTF-8
LC_ALL=

10/23/2017 02:41 pm - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

> export PERL_UNICODE=SDA
Thanks for sharing: I would not have found the problem!
> When not setting this environment variable everything works fine, all emails are sent.
Good!

Files
AMC-DEBUG-8E8wmTXy.log 88.9 kB 10/17/2017 Heiko Hornung
